[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.KeyUp

Signals the OnKeyUp event handler (when assigned).

## Declaration

Source position: controls.pp line 2274

`protected procedure TWinControl.KeyUp(`
`var Key: Word;`
`Shift: TShiftState`
`); virtual;`

## Arguments

`Key` |  | Numeric key code for the key up event.
`Shift` |  | Shift, Ctrl, or Alt modifier for the key.

## Description

KeyUp is a method used to signal the OnKeyUp event handler (when assigned). It provides the arguments with the virtual key code and the state modifiers for the TKeyEvent type.

KeyUp is called from the KeyUpBeforeInterface method. It occurs after forms with KeyPreview enabled or the active DragManager have examined and possibly handled the key event.

See KeyDown for the actions performed when the key down event has occurred.